Base URL: https://demo-api.incodesmile.com — Incode demo environment
Returns data about conference session for given ID.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
interviewId |
query | string | ID of onboarding for which data is requested. If not present, it will be extracted from the token. | |
api-version |
header | string | yes |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
conferenceStatus |
string | Enum: NO_CONFERENCE, APPROVED, REJECTED, ABANDONED, NEEDS_REVIEW, REJECTED_BY_RISK, COMPLETED |
|
executiveId |
string | ||
conferenceStartTime |
integer (int64) | UTC timestamp | |
conferenceEndTime |
integer (int64) | UTC timestamp | |
conferenceDuration |
integer (int64) | Conference duration in milliseconds. | |
conferenceTermAndConditionsAccepted |
boolean | ||
creditBureauConsentGiven |
boolean | ||
applicantDataConfirmed |
boolean |
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |